package com.buy507.mall.portal.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class OrderResult {
	
	@ApiModelProperty(value = "订单ID")
	private Long orderId;
	
	@ApiModelProperty(value = "订单编号")
	private String orderSn;
	
	@ApiModelProperty(value = "下单时间")
	private Date createTime;
	
	@ApiModelProperty(value = "实际支付金额")
	private BigDecimal payAmount;
	
	@ApiModelProperty(value = "运费")
	private BigDecimal freightAmount;
	
	@ApiModelProperty(value = "提货方式：0->自提；1->物流")
	private Integer deliveryType;
	
	@ApiModelProperty(value = "订单状态: 0->待付款；1->待发货；2->待收货；3->已完成；4->已关闭")
	private Integer orderStatus;
	
	@ApiModelProperty(value = "订单状态名称")
	private String orderStatusName;
	
	@ApiModelProperty(value = "评价状态: 0->未评价; 1->已评价")
	private Integer commentStatus;
	
	@ApiModelProperty(value = "商品数量")
	private Integer productsNum;
	
	@ApiModelProperty(value = "支付时间")
	private Date paymentTime;
	
	@ApiModelProperty(value = "支付类型: 1->支付宝；2->微信；3->线下支付；4->积分支付")
	private Integer payType;
	
	@ApiModelProperty(value = "支付类型名称")
	private String payTypeName;
	
	@ApiModelProperty(value = "发货时间")
	private Date deliveryTime;
	
	@ApiModelProperty(value = "收货时间")
	private Date receiveTime;
	
	@ApiModelProperty(value = "评论时间")
	private Date commentTime;
	
	@ApiModelProperty(value = "发票类型：0->不开发票；1->电子发票；2->纸质发票")
	private Integer billType;
	
	@ApiModelProperty(value = "发票类型名称")
	private String billTypeName;
	
	@ApiModelProperty(value = "发票抬头")
	private String billHeader;
	
	@ApiModelProperty(value = "发票内容")
	private String billContent;
	
	@ApiModelProperty(value = "收货人姓名")
	private String receiverName;
	
	@ApiModelProperty(value = "收货人电话")
	private String receiverPhone;
	
	@ApiModelProperty(value = "收货人省份/直辖市")
	private String receiverProvince;
	
	@ApiModelProperty(value = "收货人城市")
	private String receiverCity;
	
	@ApiModelProperty(value = "收货人区县")
	private String receiverRegion;
	
	@ApiModelProperty(value = "收货人详细地址")
	private String receiverDetailAddress;
	
	@ApiModelProperty(value = "订单备注")
	private String note;
	
	@ApiModelProperty(value = "物流公司(配送方式)")
	private String deliveryCompany;
	
	@ApiModelProperty(value = "物流单号")
	private String deliverySn;
	
	@ApiModelProperty(value = "订单商品详情")
	private List<OrderItemResult> orderItem;
	
	@ApiModelProperty(value = "线下支付详情")
	private OfflinePaymentRecordResult paymentRecord;

	public Long getOrderId() {
		return orderId;
	}

	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}

	public String getOrderSn() {
		return orderSn;
	}

	public void setOrderSn(String orderSn) {
		this.orderSn = orderSn;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public BigDecimal getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(BigDecimal payAmount) {
		this.payAmount = payAmount;
	}

	public BigDecimal getFreightAmount() {
		return freightAmount;
	}

	public void setFreightAmount(BigDecimal freightAmount) {
		this.freightAmount = freightAmount;
	}

	public Integer getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}

	public Integer getDeliveryType() {
		return deliveryType;
	}

	public void setDeliveryType(Integer deliveryType) {
		this.deliveryType = deliveryType;
	}

	public String getOrderStatusName() {
		return orderStatusName;
	}

	public void setOrderStatusName(String orderStatusName) {
		this.orderStatusName = orderStatusName;
	}

	public Integer getCommentStatus() {
		return commentStatus;
	}

	public void setCommentStatus(Integer commentStatus) {
		this.commentStatus = commentStatus;
	}

	public Integer getProductsNum() {
		return productsNum;
	}

	public void setProductsNum(Integer productsNum) {
		this.productsNum = productsNum;
	}

	public Date getPaymentTime() {
		return paymentTime;
	}

	public void setPaymentTime(Date paymentTime) {
		this.paymentTime = paymentTime;
	}

	public Integer getPayType() {
		return payType;
	}

	public void setPayType(Integer payType) {
		this.payType = payType;
	}

	public String getPayTypeName() {
		return payTypeName;
	}

	public void setPayTypeName(String payTypeName) {
		this.payTypeName = payTypeName;
	}

	public Date getDeliveryTime() {
		return deliveryTime;
	}

	public void setDeliveryTime(Date deliveryTime) {
		this.deliveryTime = deliveryTime;
	}

	public Date getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Date receiveTime) {
		this.receiveTime = receiveTime;
	}

	public Date getCommentTime() {
		return commentTime;
	}

	public void setCommentTime(Date commentTime) {
		this.commentTime = commentTime;
	}

	public Integer getBillType() {
		return billType;
	}

	public void setBillType(Integer billType) {
		this.billType = billType;
	}

	public String getBillTypeName() {
		return billTypeName;
	}

	public void setBillTypeName(String billTypeName) {
		this.billTypeName = billTypeName;
	}

	public String getBillHeader() {
		return billHeader;
	}

	public void setBillHeader(String billHeader) {
		this.billHeader = billHeader;
	}

	public String getBillContent() {
		return billContent;
	}

	public void setBillContent(String billContent) {
		this.billContent = billContent;
	}

	public String getReceiverName() {
		return receiverName;
	}

	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}

	public String getReceiverPhone() {
		return receiverPhone;
	}

	public void setReceiverPhone(String receiverPhone) {
		this.receiverPhone = receiverPhone;
	}

	public String getReceiverProvince() {
		return receiverProvince;
	}

	public void setReceiverProvince(String receiverProvince) {
		this.receiverProvince = receiverProvince;
	}

	public String getReceiverCity() {
		return receiverCity;
	}

	public void setReceiverCity(String receiverCity) {
		this.receiverCity = receiverCity;
	}

	public String getReceiverRegion() {
		return receiverRegion;
	}

	public void setReceiverRegion(String receiverRegion) {
		this.receiverRegion = receiverRegion;
	}

	public String getReceiverDetailAddress() {
		return receiverDetailAddress;
	}

	public void setReceiverDetailAddress(String receiverDetailAddress) {
		this.receiverDetailAddress = receiverDetailAddress;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public String getDeliveryCompany() {
		return deliveryCompany;
	}

	public void setDeliveryCompany(String deliveryCompany) {
		this.deliveryCompany = deliveryCompany;
	}

	public String getDeliverySn() {
		return deliverySn;
	}

	public void setDeliverySn(String deliverySn) {
		this.deliverySn = deliverySn;
	}

	public List<OrderItemResult> getOrderItem() {
		return orderItem;
	}

	public void setOrderItem(List<OrderItemResult> orderItem) {
		this.orderItem = orderItem;
	}

	public OfflinePaymentRecordResult getPaymentRecord() {
		return paymentRecord;
	}

	public void setPaymentRecord(OfflinePaymentRecordResult paymentRecord) {
		this.paymentRecord = paymentRecord;
	}
	
}
